name: Bug report
description: Create a report to help us improve
title: ""
labels: ["bug"]
assignees:
  - LouisOuellet

body:
  - type: textarea
    id: description
    attributes:
      label: Description
      description: Describe the bug or feature.
      placeholder: "Description of the bug or feature"
    validations:
      required: true

  - type: textarea
    id: steps
    attributes:
      label: Steps to reproduce
      description: Provide clear steps to reproduce.
      placeholder: |
        1. First Step
        2. Second Step
        3. And so on...
    validations:
      required: true

  - type: textarea
    id: expected
    attributes:
      label: Expected behavior
      placeholder: "What you expected to happen"
    validations:
      required: true

  - type: textarea
    id: actual
    attributes:
      label: Actual behavior
      placeholder: "What actually happened"
    validations:
      required: true

  - type: input
    id: python_version
    attributes:
      label: Python version
      placeholder: "e.g. 3.11.2"
    validations:
      required: false

  - type: input
    id: os_version
    attributes:
      label: Operating system version
      placeholder: "e.g. Windows 10 / macOS 13.4 / Ubuntu 22.04"
    validations:
      required: false

  - type: textarea
    id: logs
    attributes:
      label: Screenshots or Logs
      description: Paste logs or attach screenshots.
      placeholder: "Paste your logs or attach the screenshot"
    validations:
      required: false
